Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3245 - logrotate.d/samba and logrotate.d/mars-nwe.log "endrotate"
Summary: logrotate.d/samba and logrotate.d/mars-nwe.log "endrotate"
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: logrotate
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-03 16:54 UTC by btenison
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-13 03:22:59 UTC


Attachments (Terms of Use)

Description btenison 1999-06-03 16:54:18 UTC
The scripts that take care of the samba and the mars log
rotation have an error in them.  The postrotate section
needs to end with an endscript NOT endrotate.  This seems
to prevent syslog from getting the HUP signal, as logrotate
seems to stop the process at this point and ignore the
script..


Changing endrotate to endscript fixes the problems.

Comment 1 Dale Lovelace 1999-06-10 17:00:59 UTC
Fixed in /home/saqadoc/dale/SRPMS/{mars-nwe-0.99pl16-2.src.rpm,
samba-2.0.4b-3.src.rpm}

Comment 2 Jeff Johnson 1999-06-13 03:22:59 UTC
Recompiled in dist 6.1.


Note You need to log in before you can comment on or make changes to this bug.